## grep-dctrl 1.3a

=== debian/changelog ===
grep-dctrl (1.3a) frozen; urgency=low

  * matcher.c (find_field): Unroll the first iteration of the first loop
    and then remove the special-case p==s if in the loop body. 
    Closes: bug#59455.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun,  5 Mar 2000 14:21:41 +0200

grep-dctrl (1.3) frozen; urgency=low

  * grep-dctrl.c (main): Add a colon after c in getopt's
    argument, fixing the segfault in bug#57144.  This fix is meant
    for frozen and is minimal; I will upload a more complicated fix
    (but more correct in the long run) separately to unstable, since
    the better fix requires feature changes.
  * grep-dctrl.c (print_usage, main), grep-dctrl.1.cp, po/fi.po:
    Deprecated short option "-c" to allow its meaning to be changed later
    in woody.  Functionality is not changed in this version; only
    messages about the deprecation have been added. This must go to
    potato to allow a smooth transition to the better fix for bug#57144.
  * debian/copyright: Updated copyright years (added 2000).
  * debian/NEWS: documented this release's changes

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun,  6 Feb 2000 14:50:06 +0200

grep-dctrl (1.2) unstable; urgency=low

  * grep-dctrl.c (main), matcher.h (struct matcher_t), matcher.c
    (grep_control): Implement the -v option suggested by David Coe.
    Closes: #45115.
  * debian/rules: Modernize.
      + Factor install into a variable.
      + Don't use install_gzip.
      + Use stamp files.
      + Split clean into {build,binary}-clean
      + Use a separate target for the configure call.
      + Don't test for rootness.
      + Remove $(rootdir) at start of binary targets.
  * grep-dctrl.1.cp: Documented the -v option.
  * debian/{prerm,postinst,rules}: Implement the /usr/doc transition method.
  * po/fi.po: Updated.
  * Compatibility: New file.
  * debian/rules: Install Compatibility.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed, 15 Sep 1999 20:06:20 +0300

grep-dctrl (1.1) unstable; urgency=low

  * matcher.c (grep_control): Only return on feof if the para is empty.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon,  2 Aug 1999 21:42:53 +0300

grep-dctrl (1.0) unstable; urgency=low

  * New major version.  No major changes, just polishing - we have
    been converging to 1.0 for some time now.
  * grep-dctrl.c (main): Don't allow -s to be used many times,
    as it does not work in the obvious way.
  * Updated the Finnish translation.
  * grep-dctrl.1.cp: Updated the DIAGNOSTICS section.
  * Added files TODO, NEWS and README to the source distribution.
    Only README is not relevant to Debian users, so not installing it.
  * configure.in: Check whether we have dpkg-parsechangelog, and
    use a default dummy version number if we don't.  This allows
    the package to build more easily on a non-Debian system.
  * Unsymlink things that had symlinks outside the source.
  * Added getopt source for the benefit of broken systems.
  * configure.in: Use /usr/share/common-licenses/GPL as a default for
    the copying file location.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 10 Jul 1999 20:58:46 +0300

grep-dctrl (0.16) unstable; urgency=low

  * Upgraded Standards-Version to 3.0.0.0, with necessary
    changes to debian/rules and debian/copyright.
  * configure.in: Added an anchor to the grep in the version number,
    finder, and reran autoconf

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri,  2 Jul 1999 10:42:24 +0300

grep-dctrl (0.15) unstable; urgency=low

  * Removed the file called "1" from the source package.
    Closes: bug#40358.
  * debian/dpkg-sourcedeps: New file.
  * debian/rules: Converted the source dependency check to use
    debian/dpkg-sourcedeps
  * grep-dctrl.1.cp: Wrote an EXAMPLES section.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon, 28 Jun 1999 18:02:36 +0300

grep-dctrl (0.14) unstable; urgency=low

  * matcher.c (grep_control): Test for EOF before a paragraph
    is processed, not after.  This fixes an unreported bug
    that caused grep-dctrl -sPackage '' output a spurious
    empty Package: line.
  * debian/rules: Added a simple source dependency check.
  * debian/rules: Use -isp with dpkg-gencontrol.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 26 Jun 1999 03:21:20 +0300

grep-dctrl (0.13) unstable; urgency=low

  * buffer.c (buffer_trim): I had ">=" in the loop
    condition, should be "<".  Corrected that; this
    fixes bug #38047.
  * Added debug_messages and asserts all over buffer.c
    while hunting bug #38047.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu, 20 May 1999 21:47:31 +0300

grep-dctrl (0.12) unstable; urgency=low

  * Removed old-Makefile.in from the tarball.
  * Updated Finnish translation.
  * Made field name matching ignore case.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Tue, 18 May 1999 08:53:42 +0300

grep-dctrl (0.11) unstable; urgency=low

  * Added shorthand option -P.
  * Fixed a typo in config file name in the manual page.
  * grep_dctrl (set_match_field): New function.
  * Fixed some -Wall warnings in matcher.c.
  * rc.c, line 107: Had forgotten the `++' in front of lineno.
    Corrected that.
  * Added the option -n for suppressing the field names on output.
  * Added a some informational messages to rcfile parsing.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri,  9 Apr 1999 20:24:30 +0300

grep-dctrl (0.10) unstable; urgency=low

  * Got rid of version.h.  The defines are now done on the
    compiler command line.  This will avoid the harmful rebuild of
    grep-dctrl.o in Makefile's install target. Fixes bug#35527.
  * Added the generated manual page to CLEANFILES, so that the
    manpage gets rebuilt.
  * Clean off backup files on debian/rules clean.
  * rc.c: Search user's rcfile first.
  * rc.c: Upgrade the "reading config file" message from debug message 
    to informational.
  * Updated the Finnish translation.
  * Prettified the long description in debian/control.

