## grep-dctrl 1.9

=== debian/changelog ===
grep-dctrl (1.9) unstable; urgency=low

  * intl/Makefile.in: We don't have a ../config.h.  Closes: #106001

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon, 30 Jul 2001 20:09:18 +0300

grep-dctrl (1.8) unstable; urgency=low

  * Fix manpage, closes: #102021

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu, 19 Jul 2001 19:40:55 +0300

grep-dctrl (1.7) unstable; urgency=low

  * Added copyright blurb to some source files that missed it.
  * grep-dctrl.c, matcher.[ch]: Implement multiple -F options,
    allows search in several fields at once.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 20 May 2000 18:32:00 +0300

grep-dctrl (1.6) unstable; urgency=low

  * Disable the -c switch to allow its meaning to be changed
    in woody+1.
  * grep-dctrl.1.cp: Added COMPATIBILITY section, based on
    the file Compatibility.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed, 10 May 2000 15:29:02 +0300

grep-dctrl (1.5) unstable; urgency=low

  * Incorporate bugfix release 1.3a into the development branch.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun,  5 Mar 2000 14:23:07 +0200

grep-dctrl (1.4) unstable; urgency=low

  * debian/control [Standards-Version]: 3.1.1
     + debian/control [Build-Depends]: Added
  * debian/control [Description]: Improved.
  * debian/check-sourcedeps: Removed.
  * debian/rules [debian/build-depends.stamp]: Removed.
  * buffer.c, buffer.h: Make buffer_clear() an inline function.
  * grep-dctrl.c (main), matcher.h (struct matcher_t),
    matcher.c (grep_control): Implement the --count option
    suggested by Dirk Eddelbuettel.
  * configure.in, msg.h: Added a --enable-debug-level switch
  * matcher.c (slurp_paragraph): Rewrote for speed.
  * Versions 1.3 and 1.4 together closes: #57144.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun,  6 Feb 2000 21:42:30 +0200
