=== debian/rules ===
--- 
+++ 
@@ -22,20 +22,13 @@
 man1dir    = $(mandir)/man1
 
 build: debian/build.stamp
-debian/build.stamp: debian/build-depends.stamp \
-	            debian/build-configure.stamp
+debian/build.stamp: debian/build-configure.stamp
 	$(checkdir)
 	$(MAKE)
 	touch $@
 
 debian/build-configure.stamp:
 	./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share
-	touch $@
-
-debian/build-depends.stamp:
-	$(checkdir)
-	chmod u+x debian/check-sourcedeps
-	debian/check-sourcedeps publib-dev
 	touch $@
 
 clean-build:
