## grep-dctrl 2.1.4

=== debian/changelog ===
grep-dctrl (2.1.4) unstable; urgency=low

  * predicate.c (verify_atom): Check that the stack contains exactly
    one element (the result) after simulated execution.
    Closes: #241766 (segfault) [Reported by Joey Hess]

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 19 Jun 2004 16:49:24 +0300

grep-dctrl (2.1.3) unstable; urgency=low

  * rc.c (find_ifile_by_exename): Fix EOF handling.
  * grep-dctrl.c (main): If no default file is found, use "-".
  * strutil.c (chomp): New function.
  * These fix a bug that is fuctionally equivalent to 
    bug#235785 (segfaults when using an unknown exe name or an empty config file)
    but is caused by legacy code not present in experimental, and thus this does
    not close it.
  * grep-dctrl.c (finish_atom): Run predicate_finish_atom even if there
    are no search fields.
    Closes: #234657 ("-e" causes matches to fail)

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed,  3 Mar 2004 21:21:56 +0200

grep-dctrl (2.1.2) unstable; urgency=low

  * debian/control (Build-Depends): Add version constraint >= 0.11-0 for
    gettext, due to the use of --copyright-holder, with thanks to Michael
    Schultheiss.
    Closes: #230399 (Needs to Build-Depend on versioned gettext)
  * Backport from experimental:
    - debian/control (Suggests): Add dselect
    - debian/control [Description]: Mention the specializations.
  * po/fi.po: Updated.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed, 11 Feb 2004 17:40:13 +0200

grep-dctrl (2.1.1) unstable; urgency=low

  * New German translation by Gerfried Fuchs.
  * grep-dctrl.c: Fix help message inconsistent punctuation and other
    minor message errors
    Closes: #229821 (some minor nitpicks with the po files)
  * Makefile (clean): Remove also *.pot
  * predicate.[ch], grep-dctrl.c: Check for malformed predicates.
    This is a kluge, but gets rid of certain assertion failures.
  * Update Catalan translation by Jordi Mallach.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Tue, 10 Feb 2004 20:41:32 +0200

grep-dctrl (2.1.0) unstable; urgency=low

  * Creating a 2.1 maintenance branch - patchlevel added to version number.
  * grep-dctrl.c (main): Use C99 %zi and not %i to print out size_t
    (size mismatch on 64-bit archs).
    Closes: #226569 (printf format problem in grep-dctrl.c)
  * grep-dctrl.c (struct arguments, enter_atom, parse_opt),
    grep-dctrl.1.cp (DIAGNOSTICS): Treat ')' on command line as a "soft"
    '--'; ie. if ')' is followed by a connective, continue predicate,
    otherwise finish it.
    Closes: #226477 (Misparses a file name following a closing paren as a
    pattern)
  * Catalan translation updated by Jordi Mallach.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Tue, 13 Jan 2004 20:14:43 +0200

grep-dctrl (2.0) unstable; urgency=low

  * The Polish Release.
  * Internationalized again,  thanks to Jordi Mallach for help
  * Now includes Catalan messages, courtesy of Jordi Mallach
  * Also includes Finnish messages (my own translation, with thanks to
    Tommi Vainikainen)
  * debian/NEWS: Moved old 1.10x-entries to debian/NEWS.superseded
  * debian/NEWS: Document everything since 1.9
  * debian/rules: ./NEWS is no longer installed, debian/NEWS is better
  * grep-dctrl.c (finish_atom): Zero args->num_search_fields.  This fixes
    a particularly nasty unreported bug, where the right-hand side of an
    --and was essentially ignored.
  * The above changes, along with the changes in 1.103 and 1.104,
    closes: #208646 (Unsuitable for testing)
  * debian/control [Build-Depends]: Add gettext
  * TODO: Updated.
  * grep-dctrl.1.cp: Updated messages in DIAGNOSTICS.
  * grep-dctrl.1.cp: Mention ara(1) in SEE ALSO.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed,  7 Jan 2004 03:09:44 +0200

grep-dctrl (1.104) unstable; urgency=low

  * grep-dctrl.c (parse_option [case 's']): free carg after use
  * grep-dctrl.c (parse_option): Replace remaining FIXME-tagged asserts
    with proper error checking
  * Bring back support for multiple -F options in one atom and multiple
    field names in one -F option:
    - grep-dctrl.c (struct arguments, leave, prim_enter): Allow an
      instruction sequence in the parser stack.
    - grep-dctrl.c (clone_atom): New function.
    - grep-dctrl.c (finish_atom, parse_option [case 'F']):
      Handle multiple field names.
    - grep-dctrl.1.cp: Remove note of the regression.
    - debian/NEWS: Note this change.
    This gets rid of one of the documented regressions.
  * grep-dctrl.c (options): Make --banner existence contingent on the
    BANNER #define.
  * grep-dctrl.c, predicate.h, predicate.c, grep-dctrl.1.cp: Add a new
    instruction, I_TRUE, and use it to implement --true.
  * grep-dctrl.c (to_stdout, parse_option [case 'C']): Implement -C.
    Closes: #207995 (grep-dctrl: -C: (PROGRAM ERROR) Option should have
    been recognized!?)
  * debian/control (Standards-Version): 3.6.1, no changes required.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat,  3 Jan 2004 20:54:36 +0200

grep-dctrl (1.103) unstable; urgency=low

  * grep_dctrl.c (banner, main, parse_option): Disable the banner.
  * predicate.c (predicate_finish_atom): Don't bail out if the field name
    is missing; instead, just don't add the missing field name to the
    trie.  Thanks to Jeff King for diagnosis and patch.
    Closes: #205998 (regex/eregex support produces no results)
  * grep-dctrl.c (main): Track whether any matches were found and choose
    exit status based on that.
    Closes: #216549 (Return 0 for success, 1 for failure, like grep does)
  * grep-dctrl.1.cp: Add grep-available and grep-status to NAME section
    and mention them in the SYNOPSIS.
    Closes: #199762 (mention grep-available in synopsys)
  * grep-dctrl.1.cp: Add dpkg available and status files to FILES section.
    Closes: #204781 (Add available and status file to FILES section on the
    man page)
  * Use the grep return value 2 for errors:
    - msg.h (fail, errors_reported, record_error): New function.

