## grep-dctrl 2.1.8

=== debian/changelog ===
grep-dctrl (2.1.8) unstable; urgency=low

  * po/pt_BR.po: New translation by Mauricio Vieira.
  * grep-dctrl.c (enter_atom, clone_atom): Add sizeof to mallocs.
    Closes: #285439 (Fail with combined predicates)
                    [Reported by Pierre THIERRY]
  * Fix -Fxxx,yyy handling:
    - grep-dctrl.c (clone_atom): The *old* atom must receive the 
                                 compound predicate code.
    - grep-dctrl.c (parse_prim): Actually *use* the atom's code
                                 instead of just I_PUSH.
    Closes: #285738 (grep-dctrl doesn't search all the -F fields somehow)
                    [Reported by Gerfried Fuchs]
  * msg.h (msg_get_progname): Fix progname type inconsistency.
    Closes: #286912 (FTBFS (amd64/gcc-4.0): conflicting types for 'progname')
                    [Reported by Andreas Jochens]
  * grep-dctrl: Add a .args_doc field to argp, fixing the usage summary.
    Closes: #287746 (usage message incorrect) [Reported by Branden Robinson]

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri, 31 Dec 2004 05:28:00 +0200

grep-dctrl (2.1.7) unstable; urgency=low

  * Apply patch by Andreas Metzler.  Closes: #265858 (Unescaped dashes in
    manpage break searching or cut-and-paste with UTF-8 locale)

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon, 16 Aug 2004 19:52:03 +0300 

grep-dctrl (2.1.6) unstable; urgency=low

  * Translation update release.
  * grep-dctrl.c (main): Shorten the new #236196 warning
    (the old was problematic for translators).
  * msg.c: Update author snail-mail address.
  * po/fi.po: Updated.
  * po/de.po: Updated by Gerfried Fuchs.
  * po/ca.po: Updated by Jordi Mallach.
  * po/fr.po: Updated by Nicolas Bertolissio.
  * langs.mk, po/it.po: New translation by Danilo Piazzalunga.
    Closes: #258389 (Italian translation for r_2_1_maint branch)
  * grep-dctrl.1.cp: Change license to GPL.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri,  9 Jul 2004 19:30:59 +0300

grep-dctrl (2.1.5) unstable; urgency=low

  * msg.[ch]: Rearranging.
  * msg.h (msg_get_progname): New function.
  * grep-dctrl.c: Rewrite the parser so that argp only
    produces a list of tokens for a new recursive-descent
    predicate parser.
    Closes: #227543 (Predicate parser is fragile) [Reported by AJK]
  * French translation by Nicolas Bertolissio, proofread by
    Michel Grentzinger, Claude Thomassin and Denis Barbier
  * po/fi.po: Updated.
  * getaline.c (getaline): Ensure that there is a null terminator in an
    empty return value.
  * grep-dctrl.c (main): Warn about the use of standard input when the
    command name was not found.
    Closes: #236196 (please tell the user when falling back to reading stdin)
    [Reported by Danilo Piazzalunga]

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun,  4 Jul 2004 15:12:04 +0300
