=== debian/changelog ===
grep-dctrl (2.1.11) unstable; urgency=medium

  * po/fi.po: Fix encoding mistakes.
    Closes: #310988 (bad char in Finnish translation)
    [Reported by Lars Wirzenius <liw@iki.fi>]

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri, 27 May 2005 19:22:50 +0300

grep-dctrl (2.1.10) unstable; urgency=medium

  * grep-dctrl.1.cp: Reinsert COMPATIBILITY section, which seems to have
    been removed accidentally just prior to 2.0.  Thanks to Ian Lynagh for
    spotting this.
  
 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri,  8 Apr 2005 16:42:15 +0300

grep-dctrl (2.1.9) unstable; urgency=low

  * grep-dctrl.c: Allow atoms to share code, and use that
    to build the common code when atoms are cloned.
    Closes: #299597 (different search results based on order of field names)
                     [Reported by Michael Koch]
    (The older fix was only partial in that if more than two were
     cloned, only the first two clones were honored.)

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 26 Mar 2005 01:09:01 +0200
