## grep-dctrl 2.6.6ubuntu1

=== Makefile ===
--- 
+++ 
@@ -1,27 +1,28 @@
 
 sysconfdir = /etc
 localedir = /usr/share/locale
+version := $(shell dpkg-parsechangelog | grep '^Version' | cut -b10-)
 
 CC = gcc -std=gnu99 
 CFLAGS = -O2 -g -Wall -DENABLE_L_DEBUG -D_GNU_SOURCE -DSYSCONF=\"$(sysconfdir)\" \
          -DHAVE_GETTEXT -DPACKAGE=\"grep-dctrl\" -DLOCALEDIR=\"$(localedir)\" 
 
-CFLAGS += -DVERSION=\"$(shell dpkg-parsechangelog | grep '^Version' | cut -b10-)\"
+CFLAGS += -DVERSION=\"$(version)\"
 CFLAGS += -DMAINTAINER='"$(shell grep ^Maintainer: debian/control | cut -b13-)"'
 
 #CFLAGS += -pg
 #LDFLAGS += -pg
 
-#LDLIBS = -lpub
+#LDLIBS = -lgmp
 
-obj = grep-dctrl.o msg.o predicate.o util.o fsaf.o paragraph.o \
+obj = grep-dctrl.o misc.o msg.o predicate.o util.o fsaf.o paragraph.o \
       fieldtrie.o rc.o strutil.o getaline.o fnutil.o
 src = $(obj:.o=.c)
 
 # List of translated languages is given in langs.mk
 include langs.mk
 
-all : grep-dctrl grep-dctrl.1 mo
+all : grep-dctrl grep-dctrl.1 sync-available mo
 
 pot : po/grep-dctrl.pot
 
@@ -38,6 +39,10 @@
 
 %.1 : %.1.cp
 	sed 's*SYSCONF*$(sysconf)*' $< > $@
+
+sync-available : sync-available.cp
+	sed 's*VERSION*$(version)*' $< > $@
+	chmod 755 $@
 
 xgettext_opts=--copyright-holder="Antti-Juhani Kaijanaho" \
 	      --msgid-bugs-address="ajk@debian.org" -kN_ -k_
@@ -56,6 +61,7 @@
 
 clean :
 	$(RM) core grep-dctrl grep-dctrl.1 *.o po/*.mo po/*.pot TAGS
+	$(RM) sync-available
 
 tags :
 	etags *.[hc]
