=== debian/changelog ===
grep-dctrl (2.6.6ubuntu1) breezy; urgency=low

  * Fix FTBFS: apply patch from
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=314601.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 21 Jun 2005 15:47:46 +0200

grep-dctrl (2.6.6) unstable; urgency=low

  * Go to unstable again.
  * Merge 2.1.10 and 2.1.11 (no po/ merge).
  * po/fi.po: Sync translation with 2.1.11.
  * Change numeric comparison to version number comparison.
    Noteworthy individual changes:
      + debian/control: Drop libgmp3-dev build-dependency.
      + Makefile: No longer link with libgmp.
      + grep-dctrl.1.cp: Document, remove earlier warnings.
      + grep-dctrl.c: Document, remove earlier warnings (etc.)
      + predicate.c: Replace numeric comparison with version
        comparison.  Copy the actual comparison code from dpkg.
      + paragraph.[ch]: No longer do a numeric parse.
      + debian/copyright: Document dpkg copyright.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Wed,  8 Jun 2005 19:25:10 +0300

grep-dctrl (2.6.5) experimental; urgency=low

  * po/pt_BR.po: New translation by Mauricio Vieira.
  * Merged 2.1.7, 2.1.8 and 2.1.9 (no po/ merge).

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 26 Mar 2005 06:04:19 +0200

grep-dctrl (2.6.4) experimental; urgency=low

  * debian/control (Build-Depends): gcc (>= 3.0)
  * debian/README: New file.
  * debian/rules: Install debian/README as README.Debian.
  * grep-dctrl.1.cp: Warn about coming semantics change for
    numeric comparisons.  
  * grep-dctrl.c: Add warning about coming semantics change for
    numeric comparisons. 

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 17 Jul 2004 04:44:40 +0300

grep-dctrl (2.6.3) experimental; urgency=low

  * sync-available.cp, Makefile: Fix the goofup which made sync-available
    not be generated from sync-available.cp.
  * grep-dctrl.c, misc.[ch], Makefile: Backport from CVS HEAD the
    following change:
      * misc.c (to_stdout), misc.h, grep-dctrl.c (to_stdout):
        Move to_stdout to a library object.
      * misc.c (to_stdout): Use a pager if stdout is a tty.
  * debian/NEWS: Uploads >= 2.2 were to experimental.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon, 12 Jul 2004 17:50:14 +0300

grep-dctrl (2.6.2) experimental; urgency=low

  * sync-available: -ge 1, not -gt 1, when comparing the number of
    arguments.  Thanks to Pasi Savolainen.
  * Belated thanks to Juhapekka Tolvanen for inspiring the sync-available
    script.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon, 12 Jul 2004 04:24:49 +0300

grep-dctrl (2.6.1) experimental; urgency=low

  * sync-available.cp, Makefile, debian/rules: New program.
  * sync-available.8, debian/rules: New manual page.
  * debian/NEWS: Note new program sync-available.
  * debian/control (Suggests): No longer suggest dselect.
  * debian/control (Desrciption): Rephrase grep-available and note
    sync-available.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 11 Jul 2004 20:12:13 +0300

grep-dctrl (2.6.0) experimental; urgency=low

  * Creating a 2.6 maintenance branch - patchlevel added to version number.
  * po/fi.po: Updated.
  * po/it.po: New translation by Danilo Piazzalunga.
    Closes: #258388 (Italian translation for HEAD)
  * Merge 2.1.6 (no po/*.po merge).

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 10 Jul 2004 00:32:23 +0300

grep-dctrl (2.5) experimental; urgency=low

  * Merge 2.1.4.
  * Merge 2.1.5.
    - lose its fix for #236196
    - no po/*.po merge
  * rc.c (parse, find_ifile_by_exename): Apply Danilo Piazzalunga's patch
    to fix #236196.
  * Makefile, debian/control (Build-Depends): Link against libgmp3.
  * paragraph.[ch], predicate.[ch]: Use libgmp to implement
    unlimited-precision integers for numeric comparisons.
  * po/de.po: Updated by Gerfried Fuchs.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Mon,  5 Jul 2004 14:43:45 +0300

grep-dctrl (2.4) experimental; urgency=low

  * Update Catalan translation (Jordi Mallach).
  * Merge 2.1.1.
  * Merge 2.1.2.
  * debian/control (Description): Minor edit.
  * Merge 2.1.3.
  * rc.c (parse): Check for null s before, not after it is first
    dereferenced.  Thanks to Danilo Piazzalunga.
    Closes: #235785 (segfaults when using an unknown exe name or an empty
    config file)
  * French translation by Nicolas Bertolissio, proofread by
    Michel Grentzinger, Claude Thomassin and Denis Barbier

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu,  4 Mar 2004 20:03:33 +0200

grep-dctrl (2.3) experimental; urgency=low

  * Add numeric comparison capability
    Closes: #157042 (could allow numeric comparison on fields)

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sun, 18 Jan 2004 00:46:59 +0200

grep-dctrl (2.2) experimental; urgency=low

  * This version starts adding features and thus belongs in experimental.
  * rc.h, rc.c, grep-dctrl.c, grep-dctrl.1.cp:
    Add @exec syntax to rc files, and support reading stdout of given commands
  * debian/rules, grep-dctrl.rc: Add grep-aptavail
    Closes: #207440 (grep-available for apt?)
  * debian/control [Suggests]: Add dselect and apt
  * debian/control [Description]: Mention the specializations.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri, 16 Jan 2004 03:08:58 +0200
