=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,8 @@
 
 debian/stamp/binary/arch: debian/stamp/binary/grep-dctrl
 
+aliases = grep-status grep-available grep-aptavail
+
 debian/stamp/binary/grep-dctrl: package=grep-dctrl
 debian/stamp/binary/grep-dctrl: debian/stamp/build
 	$(prebinary)
@@ -30,21 +32,27 @@
 #	Install configuration file
 	$(install_dir) $(etcdir)
 	$(install_nonex) grep-dctrl.rc $(etcdir)
-#	Install the binary.
+#	Install the binaries.
+	$(install_dir) $(sbindir)
+	$(install_script) sync-available $(sbindir)
 	$(install_dir) $(bindir)
 	$(install_exec) grep-dctrl $(bindir)
-	set -e ; for dest in grep-status grep-available ; do \
+	set -e ; for dest in $(aliases) ; do \
 	   $(install_symlink) grep-dctrl $(bindir)/$$dest ; \
 	 done
-#	Zip the manual page.
+#	Install and zip the manual pages.
+	$(install_dir) $(man8dir)
+	$(install_nonex) sync-available.8 $(man8dir)/
+	$(gzip) $(man8dir)/sync-available.8
 	$(install_dir) $(man1dir)
 	$(install_nonex) grep-dctrl.1 $(man1dir)/
 	$(gzip) $(man1dir)/grep-dctrl.1
-	set -e ; for dest in grep-status grep-available ; do \
+	set -e ; for dest in $(aliases) ; do \
 	   $(install_symlink) grep-dctrl.1.gz $(man1dir)/$$dest.1.gz ; \
 	 done
 #	Install the supporting documentation.
 	$(install_nonex) TODO Compatibility $(docdir)
+	$(install_nonex) debian/README $(docdir)/README.Debian
 #	Install message catalogues
 	set -e ; for lang in $(langs) ; do \
 		$(install_dir) $(rootdir)/usr/share/locale/$$lang/LC_MESSAGES ; \
